Technical Collaboration Guideline - project information
Closed, ResolvedPublic

Description

Tracking task for work on recommendations on what information to include in project proposals and updates.

A starting point:

All projects have a wiki page with an overview and a standard infobox containing their basic information: Phabricator links, contact details, subscription, and checkpoints passed / pending. Users can follow the checkpoint links to understand quickly the development status of a project.

Technical Collaboration Guideline/Vision#Project information

Measurements of success

Keegan created this task.Jun 20 2016, 6:27 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 20 2016, 6:27 PM
Keegan triaged this task as "Normal" priority.Jun 21 2016, 7:29 PM
Keegan claimed this task.
Elitre changed the title from "Technical Collaboration Guildeline - project information" to "Technical Collaboration Guideline - project information".Jul 12 2016, 4:35 PM

Update: I've met with some folks from product, will schedule more, and I'm meeting with the community liaisons as well. These discussions are casual for now and notes are not publicly available so to free up people to express themselves.

We're going to need to work through the process of completing the information feedback loop. Currently the loop is unclosed and information feels as though it's being sent into space, hoping to hear something back. This is frustrating for all parties involved.

Another identified issue, and one without a ready solution, is self-imposed limitations for gathering feedback - mailing lists and wikis. The use of this technology is quite practical, but also quite limiting and self-selected.

More to come, my internet is not working well for meetings these few days, but will resume that aspect of the work at the end of the week. Next week I plan on getting some writing down.

Qgil added subscribers: mcruzWMF, Qgil.

@mcruzWMF owns a goal about publishing the Wikimedia Resource Center and that project fully relates to the team and projects information of Product teams. Therefore, I am adding Maria to this task, and @Keegan please coordinate with her to make sure that both projects are in sync.

@mcruzWMF owns a goal about publishing the Wikimedia Resource Center and that project fully relates to the team and projects information of Product teams. Therefore, I am adding Maria to this task, and @Keegan please coordinate with her to make sure that both projects are in sync.

Great, thank you. @mcruzWMF I'll be setting up a meeting with you.

Qgil added a comment.Aug 4 2016, 11:33 AM

During our last Technical Collaboration team meeting, the topic of project information spontaneously came was briefly discussed. A summary of opinions:

  • The idea of a common template to be used by all projects seems to be too strict and inflexible.
  • The complete opposite (free-form and no guidelines) doesn't seem to be a good idea either.
  • Maybe defining a list of questions that a project information page should answer (i.e. "What problem are you trying to solve")? Maybe a checklist?
Qgil edited the task description. (Show Details)Aug 4 2016, 11:35 AM
Qgil edited the task description. (Show Details)Aug 10 2016, 8:59 AM
Qgil closed this task as "Resolved".Sep 24 2016, 9:31 AM
Qgil moved this task from August to September on the Community-Liaisons (Jul-Sep-2016) board.

Looks DONE to me. Marking this task resolved, since it is a quarterly goal and Keegan is on vacation. Thank you!

Qgil awarded a token.Sep 24 2016, 9:31 AM